jQuery(document).ready(function () {
	var expedienteResuelto = $("#estadoExp").val()!="0";
	var hayDoc = contarDocs();
	var estaEnDokusi= enDokusi();
	
	 $('input[type=radio][name=estadoExp024]').on('change', function(){
		switch($(this).val()) {
	        case "2":   //favorable
	        	$("#divObservaciones").hide();
	    		$("#divDocumento, #firmantesFieldset").show();
	    		if(!estadoCierreRealizado && esUsuarioModificacion){
		    		if (idestado === 5){
		    			$("#gestionarDocs_toolbar button").remove();
		    			/*$("#gestionarDocs_toolbar").rup_toolbar({
		    				buttons:
		    					[ {id:"DeshacerInscripcion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true, click:function(){fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerResolucion);}}]
		    			})*/;
		    			deshabilitarCampos();
		    		} else if (!estaEnDokusi){
		    			$("#gestionarDocs_toolbar button").remove();
		    			if(hayDoc==true){
		    				$("#gestionarDocs_toolbar").rup_toolbar({
		    				buttons:
		    					[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true, click:function(){fn_borrar($.rup.i18n.app.mensajes.confirmDeshacerResolucion);}},
		    					 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
		    					 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true, click:fncSubirDocumentoDokusi}]
		    				});
		    				
			    			deshabilitarCampos();
		    			} else {
		    				$("#gestionarDocs_toolbar").rup_toolbar({
		    					buttons:
		    						[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar},
		    						 {id:"DeshacerInscripcion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true, click:function(){fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerResolucion);}}]
		    				});
		    				$("#fTramitacion028").rup_date({datetimepicker: false});
		    				if (registroManual == 0){
		    					$("form input[id=FRegSal028]").attr("readonly", "readonly");
		    					$("form input[id=NRegSal028]").attr("readonly", "readonly");
		    				} else {
		    					$("#FRegSal028").rup_date({datetimepicker: true});
		    				}
		    			}
					}else {
		    			deshabilitarCampos();
		    		}
	    		} else {
	    			deshabilitarCampos();
	    		}
	    		
	        	break;
	        case "1":  //denegado
	        	$("#divObservaciones").show();
	    		$("#divDocumento,#firmantesFieldset").hide();
	    		if(!estadoCierreRealizado && esUsuarioModificacion){
		    		if (!expedienteResuelto){
		    			$("#gestionarDocs_toolbar button").remove();
		    			$("#gestionarDocs_toolbar").rup_toolbar({
		    				buttons:
		    					[{id:"Guardar", i18nCaption:$.rup.i18n.app.botones.Guardar, left:true, click:fn_guardar},
		    					 {id:"DeshacerInscripcion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true, click:function(){fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerResolucion);}}]
		    			});
		    			$("#fTramitacion028").rup_date({datetimepicker: false});
		    			if (registroManual == 0){
	    					$("form input[id=FRegSal028]").attr("readonly", "readonly");
	    					$("form input[id=NRegSal028]").attr("readonly", "readonly");
	    				} else {
	    					$("#FRegSal028").rup_date({datetimepicker: true});
	    				}
		    		} else {
		    			deshabilitarCampos();
		    			$("#gestionarDocs_toolbar button").remove();
		    			if (codTramite != 2 || (codTramite == 2 && estadoTramite != 2)){
			    			$("#gestionarDocs_toolbar").rup_toolbar({
			    				buttons:
			    					[{id:"DeshacerInscripcion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true, click:function(){fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerResolucion);}}]
			    			});
		    			}
		    		}
	    		} else {
	    			deshabilitarCampos();
	    		}
	    		
	        	break;
		}
	});
	 
	$("#resoluciones_form").rup_validate({
		feedback:$("#tramitacion_feedback"),
		liveCheckingErrors: true,
		rules:{
			"fTramitacion028":{required:true,date:true},
			"FRegSal028":{required:function(){
				if (registroManual == 1){return true;} 
				else { return false;}
				}, dateTime:true},
			"NRegSal028":{required:function(){
				if (registroManual == 1){return true;} 
				else { return false;}
			}}
		}
	});	 
	 
	if($("#estadoExp").val()=="0" || $("#estadoExp").val()=="2"){
		$('input[type=radio][name=estadoExp024][value=2]').prop('checked', true).change();
	}else if($("#estadoExp").val()=="1"){
		$('input[type=radio][name=estadoExp024][value=1]').prop('checked', true).change();
	}
	
	if ($("#id004Firmante").val()){
		$("#firmantesFieldset input[type=radio][value=" + $("#id004Firmante").val()+"]").prop("checked", true);
	}
	 
	$("form input[id=FNotif028]").attr("readonly", "readonly");

	$("#registroExpediente_info").rup_tooltip();
	
	function deshabilitarCampos(){
		$("form input[name=estadoExp024]").attr("disabled", "disabled");
		$("#observaciones,#fTramitacion028,#FRegSal028,#NRegSal028").attr("readonly", "readonly");
		$("form input[name=firmante]").attr("disabled", "disabled");

	}

	function fn_generar (){
		 var tipoDocumento= "Resolucion";
		 var estado=$('input:radio[name=estadoExp024]:checked').val();
		 var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
		 var idFase=$("#id017Fase").val();
		 var id028=$("#id028").val();
		 var idFirmante = $("[name=firmante]:checked").val();
		 var fTramitacion = $("#fTramitacion028").val();
			 
		 if(ab03bUtils.form.validate($("#resoluciones_form"), $("#tramitacion_feedback"))){
			 if (!idFirmante || idFirmante == ""){
				 ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorFirmante,  $("#tramitacion_feedback"));		
			 } else {
				$.rup_ajax({
					url: $.rup.CTX_PATH + "documentoRERA/generarDocumento",
					dataType: 'json',
					cache : false,
					data:{
						"idExpediente" : idExpediente,
						"firmante": idFirmante,
						"FRegSal028" : $("#FRegSal028").rup_date("getDate"),
						"NRegSal028" : $("#NRegSal028").val(),
						"idFase":idFase,"id028":id028,
						"tipoDocumento": tipoDocumento,
						"estado":estado,
						"fTramitacion028": fTramitacion
					},
					type:"GET",
					contentType: 'application/json',
					success: function(xhr, ajaxOoptions){
						fncEditarPifSuccess(xhr.rutaCompleta);
						document.location.href = "../../../../"+ idExpediente + "/" + id028+"/" + estadoCierreRealizado + "?idFase="+idFase+"&accionOK=true";
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
						$("#FRegSal028").rup_date("setDate", null);
						$("#NRegSal028").val("");
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			};
		 }
		};
	

	function fn_guardar(){
		var idExpediente = $("#id024").val();
		var idProvincia = $("#idProv024").val();
		var idAno = $("#idAno024").val();
		//var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
		var id028=$("#id028").val();
		var estado=$('input:radio[name=estadoExp024]:checked').val();
		var fTramitacion = $("#fTramitacion028").val();
		if(ab03bUtils.form.validate($("#resoluciones_form"), $("#tramitacion_feedback"))){
			$.rup_ajax({
				url: $.rup.CTX_PATH + "/expedientesRERA/detalle/tramitacion/denegarInscripcion/"+id028,
				dataType: 'json',
				cache : false,
				data:{
					"idExpediente" : idExpediente,
					"idProvincia" : idProvincia,
					"idAno" : idAno,
					"observaciones" : $("#observaciones").val(),
					"fTramitacion028": fTramitacion,
					"FRegSal028" : $("#FRegSal028").rup_date("getDate"),
					"NRegSal028" : $("#NRegSal028").val()
				},
				type:"GET",
				contentType: 'application/json',
				success: function(xhr, ajaxOoptions){
					document.location.reload();
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					$("#FRegSal028").rup_date("setDate", null);
					$("#NRegSal028").val("");
				}
			});
		 }
	}
});	